interaggregate(6)

NAME
interaggregate - Visualize the momentary and aggregate intersections between slowly moving circles.

SYNOPSIS
interaggregate [--display host:display.screen] [--visual visual] [--window] [--root] [--window-id number] [--foreground color] [--background color] [--num-circles disc count] [--growth-delay delayms] [--max-cycles maxr] [--percent-orbits percent] [--base-orbits percent] [--base-on-center] [--draw-centers] [--fps]

DESCRIPTION
The Intersection Aggregate is a fun visualization defining the relationships between objects with Casey Reas, William Ngan, and Robert Hodgin. Commissioned for display at the Whitney Museum of American Art. A surface filled with 100 medium to small sized circles. Each circle has a different size and direction, but moves at the same slow rate. Display:
    A. The instantaneous intersections of the circles.
    B. The aggregate intersections of the circles.

OPTIONS
interaggregate accepts the following options:

--num-circles disc count (Default: 100)
    Number of slowly moving and growing discs to use. The more discs, the more CPU power.

--growth-delay delayms (Default: 18000)
    Delay in ms between drawing cycles. More delay, slower (but smoother and less CPU intensive.) art.

--fps
    Display the current frame rate and CPU load.

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

BUGS

Setting the background to anything besides black confuses the intensity
    algorithm and will look terrible.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2003 by J. Tarbell <complex@complexification.net>.
XScreenSaver port: David Agraz, 2005.

AUTHOR
J. Tarbell <complex@complexification.net>, Jun 2003.
David Agraz <dagraz@mindspring.com>, Apr 2005.